#include <stdlib.h>

#include <glib.h>

#include <g3dviewer_plugin.h>

G3DMaterial *g3d_new_G3DMaterial(void)
{
  G3DMaterial *new = g_new0(G3DMaterial, 1);

  g_return_val_if_fail(new != NULL, NULL);

  new->r = 0.7;
  new->g = 0.7;
  new->b = 0.7;
  new->a = 1.0;
  new->flags = 0;
  new->shininess = 0.0;
  new->specular[0] = 0.0;
  new->specular[1] = 0.0;
  new->specular[2] = 0.0;
  new->specular[3] = 1.0;

  return new;
}

